## rtpdvpay

rtpdvpay

## Properties

GstDVPayMode | mode | Read / Write

## Types and Values

struct | GstRTPDVPay

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstElement
                    ╰── GstRTPBasePayload
                        ╰── GstRTPDVPay

## Description

## Synopsis

### Element Information

plugin | rtp
author | Marcel Moreaux <marcelm@spacelabs.nl>, Wim Taymans <wim.taymans@gmail.com>
class | Codec/Payloader/Network/RTP

### Element Pads

name | sink
direction | sink
presence | always
details | video/x-dv

name | src
direction | source
presence | always
details | application/x-rtp, media=(string){ video, audio }, payload=(int)[ 96, 127 ], encoding-name=(string)DV, clock-rate=(int)90000, encode=(string){ SD-VCR/525-60, SD-VCR/625-50, HD-VCR/1125-60, HD-VCR/1250-50, SDL-VCR/525-60, SDL-VCR/625-50, 306M/525-60, 306M/625-50, 314M-25/525-60, 314M-25/625-50, 314M-50/525-60, 314M-50/625-50 }

## Functions

## Types and Values

### struct GstRTPDVPay

    struct GstRTPDVPay;

## Property Details

### The `“mode”` property

      “mode”                     GstDVPayMode

The payload mode of payloading.

Owner: GstRTPDVPay

Flags: Read / Write

Default value: Video only